Update Distribution In Batch

Last updated Mar 5th, 2026

patch api.withmono.com/v3/payments/disburse/disbursements/{batch_id}/distributions/{distribution_id}
v1.0

This endpoint allows for updating specific details of an individual distribution within a batch.

Path Params
Body Params
Headers

Request

1234567891011121314151617
curl --request PATCH \
  --url https://api.withmono.com/v3/payments/disburse/disbursements/{{BATCH_ID}}/distributions/{{DISTRIBUTION_ID}} \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'mono-sec-key: <YOUR_SECRET_KEY>' \
  --data '{
    "distribution": [
        {
            "recipient_email": "updated.email@example.com",
            "bank_code": "058",
            "narration": "Updated monthly salary",
            "account_number": "0987654321",
            "amount": 6000000,
            "reference": "testingdisbursement"
        }
    ]
}'

Response

Choose an option from the drop down or click one of these buttons to see an example:

Did this page help you?